package com.ruoyi.jarvis.service;

import com.ruoyi.jarvis.domain.TaobaoComment;

import java.util.List;

/**
 * 淘宝评论管理 Service 接口
 */
public interface ITaobaoCommentService {

    /**
     * 查询淘宝评论列表
     */
    List<TaobaoComment> selectTaobaoCommentList(TaobaoComment taobaoComment);

    /**
     * 根据ID查询淘宝评论
     */
    TaobaoComment selectTaobaoCommentById(Integer id);

    /**
     * 更新评论使用状态
     */
    int updateTaobaoCommentIsUse(TaobaoComment taobaoComment);

    /**
     * 批量删除评论
     */
    int deleteTaobaoCommentByIds(Integer[] ids);

    /**
     * 重置评论使用状态（批量）
     */
    int resetTaobaoCommentIsUseByProductId(String productId);
}

